/**
 * Twitter-specific tasks for the task manager
 *
 */
component {
	property name="twitterSyncService" inject="twitterSyncService";

	/**
	 * Sync latest tweets from Twitter
	 *
	 * @displayName  Sync latest tweets from Twitter
	 * @displayGroup Twitter
	 * @schedule     0 *\/10 * * * *
	 * @priority     10
	 * @timeout      1200
	 */
	public boolean function syncLatestTweets( any logger ) {
		return twitterSyncService.syncTweets(
			  logger  = arguments.logger ?: nullValue()
			, syncAll = false
		);
	}

	/**
	 * Sync all tweets from Twitter
	 *
	 * @displayName  Sync all tweets from Twitter
	 * @displayGroup Twitter
	 * @schedule     disabled
	 * @priority     10
	 * @timeout      1200
	 */
	public boolean function syncAllTweets( any logger ) {
		return twitterSyncService.syncTweets(
			  logger  = arguments.logger ?: nullValue()
			, syncAll = true
		);
	}

}