/**
 * @presideService
 * @singleton
 */
component {
// CONSTRUCTOR
	/**
	 * @apiWrapper.inject  TwitterApiWrapper
	 */
	public any function init( required any apiWrapper ) {
		_setApiWrapper( arguments.apiWrapper );
		return this;
	}

	public boolean function syncTweets( boolean syncAll=false, any logger ) {
		var hasLogger = StructKeyExists( arguments, "logger" );
		var canInfo   = hasLogger && arguments.logger.canInfo();

		var accounts  = $getPresideObject( "twitter_account" ).selectData( filter={ active=true } );
		if ( canInfo ) { arguments.logger.info( "#accounts.recordcount# accounts(s) found..." ); }

		for( var account in accounts ) {
			if ( canInfo ) { arguments.logger.info( "Start syncing tweets for [#account.screen_name#]" ); }



			if ( canInfo ) { arguments.logger.info( "Finish syncing tweets for [#account.screen_name#]" ); }
		}
		if ( canInfo ) { arguments.logger.info( "All finished." ); }

		return true;
	}


 // GETTERS AND SETTERS
	private any function _getApiWrapper() {
		return _apiWrapper;
	}
	private void function _setApiWrapper( required any apiWrapper ) {
		_apiWrapper = arguments.apiWrapper;
	}

}